package cn.com.ctop.kuaishou.modules.report.service;

import cn.com.ctop.common.module.entity.UserAllocation;
import com.alibaba.fastjson.JSONObject;

import java.util.List;

public interface IMaterialReportService {
    /**
     * 获取快手大盘素材报表
     *
     * @param json
     * @return
     */
    List<JSONObject> getKuaiShouMaterialMarket(JSONObject json);

    /**
     * 获取 环比
     *
     * @param json
     * @return
     */
    JSONObject getKuaiShouChainRatio(JSONObject json);

    /**
     * 查询账号accountId
     *
     * @param userId
     * @return
     */
    List<UserAllocation> selectAccountIds(String userId);

    /**
     * 根据账号 查新素材报表
     *
     * @param json
     * @return
     */
    List<JSONObject> selectReportByAccountIds(JSONObject json);
}
